using System;
using System.Collections.Generic;
using System.Text;
using HumanLikeBattleRobots.Logic;
using HumanLikeBattleRobots.Data;

namespace HumanLikeBattleRobots.Graphic
{
    class SoldierTowerSprite: Sprite
    {
        public SoldierTowerSprite(int stage, int number)
            : base(stage)
        {
            if (number == 0)
            {
                relativeCenterPosition = new Vec2f(38, 25);
                drawTexture = GraphicResources.SoldierTower1Texture;
            }
            else
            {
                relativeCenterPosition = new Vec2f(25, 33);
                drawTexture = GraphicResources.SoldierTower2Texture;
            }

        }

        public override void Draw()
        {
            drawTexture.DrawRotAxis(this.DrawPosition - this.AxisPosition, this.angle, 1,
                this.DrawPosition);
        }
    }
}
